### Hierarchy

- BaseAPI
  - AccountsApi

### Implements

- AccountsApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getAccountAssets
- getAccountAssetsRaw
- getAccountBalance
- getAccountBalanceRaw
- getAccountInbound
- getAccountInboundRaw
- getAccountInfo
- getAccountInfoRaw
- getAccountNft
- getAccountNftRaw
- getAccountNonces
- getAccountNoncesRaw
- getAccountStxBalance
- getAccountStxBalanceRaw
- getAccountTransactions
- getAccountTransactionsRaw
- getAccountTransactionsWithTransfers
- getAccountTransactionsWithTransfersRaw
- getSingleTransactionWithTransfers
- getSingleTransactionWithTransfersRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new AccountsApi(configuration?: Configuration ): AccountsApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns AccountsApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getAccountAssets

- getAccountAssets(requestParameters: GetAccountAssetsRequest, initOverrides?: RequestInit): Promise< AddressAssetsListResponse >

- Implementation of AccountsApiInterface.getAccountAssets

  - Defined in src/generated/apis/AccountsApi.ts:337

  Get account assets

  #### Parameters

  - ##### requestParameters: GetAccountAssetsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressAssetsListResponse >

### getAccountAssetsRaw

- getAccountAssetsRaw(requestParameters: GetAccountAssetsRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressAssetsListResponse >>

- Implementation of AccountsApiInterface.getAccountAssetsRaw

  - Defined in src/generated/apis/AccountsApi.ts:303

  Get account assets

  #### Parameters

  - ##### requestParameters: GetAccountAssetsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressAssetsListResponse >>

### getAccountBalance

- getAccountBalance(requestParameters: GetAccountBalanceRequest, initOverrides?: RequestInit): Promise< AddressBalanceResponse >

- Implementation of AccountsApiInterface.getAccountBalance

  - Defined in src/generated/apis/AccountsApi.ts:371

  Get account balances

  #### Parameters

  - ##### requestParameters: GetAccountBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressBalanceResponse >

### getAccountBalanceRaw

- getAccountBalanceRaw(requestParameters: GetAccountBalanceRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressBalanceResponse >>

- Implementation of AccountsApiInterface.getAccountBalanceRaw

  - Defined in src/generated/apis/AccountsApi.ts:345

  Get account balances

  #### Parameters

  - ##### requestParameters: GetAccountBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressBalanceResponse >>

### getAccountInbound

- getAccountInbound(requestParameters: GetAccountInboundRequest, initOverrides?: RequestInit): Promise< AddressStxInboundListResponse >

- Implementation of AccountsApiInterface.getAccountInbound

  - Defined in src/generated/apis/AccountsApi.ts:419

  Get a list of STX transfers with memos to the given principal. This includes regular transfers from a stx-transfer transaction type, and transfers from contract-call transactions a the `send-many-memo` bulk sending contract. Get inbound STX transfers

  #### Parameters

  - ##### requestParameters: GetAccountInboundRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressStxInboundListResponse >

### getAccountInboundRaw

- getAccountInboundRaw(requestParameters: GetAccountInboundRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressStxInboundListResponse >>

- Implementation of AccountsApiInterface.getAccountInboundRaw

  - Defined in src/generated/apis/AccountsApi.ts:380

  Get a list of STX transfers with memos to the given principal. This includes regular transfers from a stx-transfer transaction type, and transfers from contract-call transactions a the `send-many-memo` bulk sending contract. Get inbound STX transfers

  #### Parameters

  - ##### requestParameters: GetAccountInboundRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressStxInboundListResponse >>

### getAccountInfo

- getAccountInfo(requestParameters: GetAccountInfoRequest, initOverrides?: RequestInit): Promise< AccountDataResponse >

- Implementation of AccountsApiInterface.getAccountInfo

  - Defined in src/generated/apis/AccountsApi.ts:459

  Get the account data for the provided principal Where balance is the hex encoding of a unsigned 128-bit integer (big-endian), nonce is a unsigned 64-bit integer, and the proofs are provided as hex strings. For non-existent accounts, this does not 404, rather it returns an object with balance and nonce of 0. Get account info

  #### Parameters

  - ##### requestParameters: GetAccountInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AccountDataResponse >

### getAccountInfoRaw

- getAccountInfoRaw(requestParameters: GetAccountInfoRequest, initOverrides?: RequestInit): Promise< ApiResponse < AccountDataResponse >>

- Implementation of AccountsApiInterface.getAccountInfoRaw

  - Defined in src/generated/apis/AccountsApi.ts:428

  Get the account data for the provided principal Where balance is the hex encoding of a unsigned 128-bit integer (big-endian), nonce is a unsigned 64-bit integer, and the proofs are provided as hex strings. For non-existent accounts, this does not 404, rather it returns an object with balance and nonce of 0. Get account info

  #### Parameters

  - ##### requestParameters: GetAccountInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AccountDataResponse >>

### getAccountNft

- getAccountNft(requestParameters: GetAccountNftRequest, initOverrides?: RequestInit): Promise< AddressNftListResponse >

- Implementation of AccountsApiInterface.getAccountNft

  - Defined in src/generated/apis/AccountsApi.ts:503

  Get list of all nfts owned by an address, contains the clarity value of the identifier of the nft Get nft events

  #### Parameters

  - ##### requestParameters: GetAccountNftRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressNftListResponse >

### getAccountNftRaw

- getAccountNftRaw(requestParameters: GetAccountNftRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressNftListResponse >>

- Implementation of AccountsApiInterface.getAccountNftRaw

  - Defined in src/generated/apis/AccountsApi.ts:468

  Get list of all nfts owned by an address, contains the clarity value of the identifier of the nft Get nft events

  #### Parameters

  - ##### requestParameters: GetAccountNftRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressNftListResponse >>

### getAccountNonces

- getAccountNonces(requestParameters: GetAccountNoncesRequest, initOverrides?: RequestInit): Promise< AddressNonces >

- Implementation of AccountsApiInterface.getAccountNonces

  - Defined in src/generated/apis/AccountsApi.ts:533

  Get the latest nonce values used by an account by inspecting the mempool, microblock transactions, and anchored transactions.

  #### Parameters

  - ##### requestParameters: GetAccountNoncesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressNonces >

### getAccountNoncesRaw

- getAccountNoncesRaw(requestParameters: GetAccountNoncesRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressNonces >>

- Implementation of AccountsApiInterface.getAccountNoncesRaw

  - Defined in src/generated/apis/AccountsApi.ts:511

  Get the latest nonce values used by an account by inspecting the mempool, microblock transactions, and anchored transactions.

  #### Parameters

  - ##### requestParameters: GetAccountNoncesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressNonces >>

### getAccountStxBalance

- getAccountStxBalance(requestParameters: GetAccountStxBalanceRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of AccountsApiInterface.getAccountStxBalance

  - Defined in src/generated/apis/AccountsApi.ts:567

  Get account STX balance

  #### Parameters

  - ##### requestParameters: GetAccountStxBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getAccountStxBalanceRaw

- getAccountStxBalanceRaw(requestParameters: GetAccountStxBalanceRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of AccountsApiInterface.getAccountStxBalanceRaw

  - Defined in src/generated/apis/AccountsApi.ts:541

  Get account STX balance

  #### Parameters

  - ##### requestParameters: GetAccountStxBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getAccountTransactions

- getAccountTransactions(requestParameters: GetAccountTransactionsRequest, initOverrides?: RequestInit): Promise< AddressTransactionsListResponse >

- Implementation of AccountsApiInterface.getAccountTransactions

  - Defined in src/generated/apis/AccountsApi.ts:613

  Get account transactions

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressTransactionsListResponse >

### getAccountTransactionsRaw

- getAccountTransactionsRaw(requestParameters: GetAccountTransactionsRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressTransactionsListResponse >>

- Implementation of AccountsApiInterface.getAccountTransactionsRaw

  - Defined in src/generated/apis/AccountsApi.ts:575

  Get account transactions

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressTransactionsListResponse >>

### getAccountTransactionsWithTransfers

- getAccountTransactionsWithTransfers(requestParameters: GetAccountTransactionsWithTransfersRequest, initOverrides?: RequestInit): Promise< AddressTransactionsWithTransfersListResponse >

- Implementation of AccountsApiInterface.getAccountTransactionsWithTransfers

  - Defined in src/generated/apis/AccountsApi.ts:659

  Get account transactions including STX transfers for each transaction.

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressTransactionsWithTransfersListResponse >

### getAccountTransactionsWithTransfersRaw

- getAccountTransactionsWithTransfersRaw(requestParameters: GetAccountTransactionsWithTransfersRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressTransactionsWithTransfersListResponse >>

- Implementation of AccountsApiInterface.getAccountTransactionsWithTransfersRaw

  - Defined in src/generated/apis/AccountsApi.ts:621

  Get account transactions including STX transfers for each transaction.

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressTransactionsWithTransfersListResponse >>

### getSingleTransactionWithTransfers

- getSingleTransactionWithTransfers(requestParameters: GetSingleTransactionWithTransfersRequest, initOverrides?: RequestInit): Promise< AddressTransactionWithTransfers >

- Implementation of AccountsApiInterface.getSingleTransactionWithTransfers

  - Defined in src/generated/apis/AccountsApi.ts:693

  Get account transaction information for specific transaction

  #### Parameters

  - ##### requestParameters: GetSingleTransactionWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressTransactionWithTransfers >

### getSingleTransactionWithTransfersRaw

- getSingleTransactionWithTransfersRaw(requestParameters: GetSingleTransactionWithTransfersRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressTransactionWithTransfers >>

- Implementation of AccountsApiInterface.getSingleTransactionWithTransfersRaw

  - Defined in src/generated/apis/AccountsApi.ts:667

  Get account transaction information for specific transaction

  #### Parameters

  - ##### requestParameters: GetSingleTransactionWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressTransactionWithTransfers >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc